Changelog for SobiPro Component
===================================================
@version: $Id: changelog.txt 3842 2013-10-21 10:07:48Z Sigrid Suski $
@package: SobiPro Component for Joomla!

@author
Name: Sigrid Suski & Radek Suski, Sigsiu.NET GmbH
Email: sobi[at]sigsiu.net
Url: http://www.Sigsiu.NET

@copyright Copyright (C) 2006 - 2013 Sigsiu.NET GmbH (http://www.sigsiu.net). All rights reserved.
@license GNU/GPL Version 3
This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License version 3
as published by the Free Software Foundation, and under the additional terms according section 7 of GPL v3.
See http://www.gnu.org/licenses/gpl.html and http://sobipro.sigsiu.net/licenses.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more details.

$Date: 2013-10-21 12:07:48 +0200 (Mon, 21 Oct 2013) $

Legend:
 (*) - Security Fix
 (#) - Bug Fix
 (+) - Addition
 (-) - Removed
 (!) - Change

-------------------
1.1.3 (21 October 2013)
-------------------

   (+) History of changes of an entry
   (+) Rejection functionality
   (+) Version management
   (+) Support for custom templates override while adding menu item
   (+) Possible placeholders for path in image field extended; {id}, {orgname}, {entryname}, {oid}, {ownername}, {uid}, {username}

   (!) Default input style for URL and Email field improved
   (!) Header output moved to a separate plugin

   (#) Backend search for entry returns categories (Issue #1022)
   (#) Editing entries with image field set as required (Issue #1017)
   (#) Error while installing Joomla! native extensions in SobiPro (Issue #1013)
   (#) Add menu entry to an entry in Joomla 2.5 (Issue #1042)
   (#) Preventing saving of custom ordering when nothing has been selected (Issue ##1041)
   (#) Entries without valid category assigned are not visible in 'All Entries' screen (Issue #1037)
   (#) Approving changes from the front-end with multilingual mode (Issue #1027)
   (#) Backend search for entry redirects to main section view (Issue #1022)
   (#) Editing entries with image field set as required (Issue #1017)
   (#) Category Name as Alias in SobiPro 1.1.2 (Issue #1015)
   (#) Destination folder not found while updating SobiPro (Issue #1014)
   (#) Missing hidden "showIn" option in category field (Issue #1047)
   (#) Wrong pathway when entry is linked directly in the menu (Issue #1046)
   (#) No data sent to check when using CodeMirror (Issue #1048)
   (#) Email field: corrected path replacement to fit to Windows directory separator (Issue #1045)
   (#) Missing file extension in image field if not using "orgname" placeholder (Issue #1058)
   (#) Quotes in the payment descriptions are not escaped (Issue: #1057)


-------------------
1.1.2 (22 August 2013)
-------------------

   (+) Calling Joomla! Cache cleaner after SobiPro cache has been invalidated
   (+) Keep-Alive method to avoid session expire
   (+) Possibility to store ordering of lists in administrator area permanently
   (+) Information about entry's status while displaying unapproved/unpublished version in default template
   (+) Storing currently displayed entries into 'user state'
   (+) Method for table creation in the database driver

   (!) Style revisions to default2 template and SobiPro frontend CSS
   (!) php-prefix exclusion added to all templates in default2 template package
   (!) Section information added to site title in administrator area

   (#) Wrong parameter in AlphaListingAfterGetEntries Trigger (Issue #964)
   (#) JavaScript file uploader preserving expired form (Issue #928)
   (#) Category field set to non-editable with "fixed choice" method do not allow edit entries (Issue #966)
   (#) Wrong directory separator in path comparison for Ajax file upload exception (Issue #930)
   (#) Missing select list nodes in a multi select list with list's groups (Issue #953)
   (#) Template method "BeforeStoreEntry" gets data array in administrator area but name of the request in frontend
   (#) Missing texts for apps added
   (#) No category/section title when page number has been added
   (#) Error when trying to add entry in backend with a filter set (Issue #990)
   (#) Image field as required field doesn't work (Issue #974)
   (#) Alpha search field selector missing the field alias (Issue #980)
   (#) Category icons on Windows machines (Issue #997)
   (#) Publishing entry from frontend - cache issue (Issue #1000)
   (#) Entry not checked in while hitting "exit" in administrator area
   (#) Entry approve in frontend gives success message in a warning message type container
   (#) Fixed several validation errors in default2 RSS feed template
   (#) Missing prefix in SPSectionCtrl::userPermissionsQuery for some particular permissions (Issue #1002)
   (#) SPLang::translateObject is getting nid from the wrong table (Issue #1006)
   (#) Language files are not being removed while uninstalling particular language. (Removed SOBI_ROOT from the log for all apps) (Issue #1007)
   (#) Language files aren't checked for requirements
   (#) Wrong URL in the RSS feeds when Joomla! is installed in subdirectory (Issue #1011)
   (#) Click counter data are not re-validated when XML cache is enabled (Issue #1010)
   (#) Passing un-serialised data through un-serialise config method (legacy) (Issue #Chad's bug)


-------------------
1.1.1 (1 July 2013)
-------------------

   (+) Added jquery-migrate for jQuery backward compatibility

   (#) Removing spaces from CSS paths in cached files
   (#) Bootstrap not loaded in administrator area when "prevent bootstrap loading" is activated
   (#) Declaration of SPFrontView::setTemplate() incompatible with the interface
   (#) Missing argument 3 for SPField_Category::searchNarrowResults()
   (#) en-GB preload not enabled by default
   (#) Typo in English language file


-------------------
1.1.0 (28 June 2013)
-------------------

   (+) Possibility to prevent bootstrap CSS loading

   (!) Larger JS and CSS files are minimised now
   (!) Bootstrap CSS updated to version 2.3.2
   (!) Font Awesome updated to version 3.1.0/3.1.1
   (!) JQuery updated to v1.10.1
   (!) Optional parameter added to SPJoomlaLang::replacePlaceHolders to remove empty placeholders

   (#) Fixed language code replacement for the section crawler (Issue #890)
   (#) Fixed missing parent id in entry
   (#) Non-unicode aliases (Issue #901)
   (#) Fixed installation of clean and full version on J!1.5
   (#) Fixed wrong path replacement on Windows (Issue #891)
   (#) Some complex parameters aren't transferred to a string while editing configuration (Issue #894)
   (#) Added AfterGetEntries trigger in the Alpha Listing Controller
   (#) Browser title generated by SobiPro is not longer added to a custom title set from template
   (#) While in section/category view in administrator area, the "All Entries" menu is highlighted as active
   (#) XML parser was generating Itemid for all loops in administrator area
   (#) Changed attr method to prop in serial actions (interface.js) as jQuery 1.10 returns "unknown" for the "checked" attribute
   (#) No label for objects (e.g. section drop'n'down menu) when it has been stored in a "dead" language
   (#) Disabled core update button was clickable
   (#) Checkbox group and radio fields aren't properly validated due to exception in validation method (Issue #910)
   (#) Multilanguage mode in directory crawler fixed
   (#) Entry counter doesn't work when cache is enabled
   (#) Escaping field suffix
   (#) XMLCall error fixed
   (#) Trigger in search called before the priorities have been rearranged
   (#) Cached view missing current template name; override via template package doesn't work
   (#) security redirection for specific files only if mod_rewrite available
   (#) Width of image upload field reduced; setting from configuration removed
   (#) fixed width of file upload progress bar and message removed
   (#) CSS tweaks for URL field in default2 template


-------------------
1.1.0 Beta3 (10 May 2013)
-------------------

   (+) Added support for LESS in Codemirror
   (+) Extended the search.suggest task with the possibility to select a particular field for the search
   (+) Added message with reserved words to fields defining ini-file format lists

   (!) Default textarea width reduced
   (!) Removed Joomla! 3.1 canonical URL (a bit dirty solution)
   (!) Removed site counter from browser's title when there is only one page (Issue #877)
   (!) Category field of method 'fixed choice' cannot be set to required

   (#) Shifted arguments in URL field for SPRequest::word call (Issue #861)
   (#) While narrowing search down and if the previous search has no results, the search behaves as if there were no search params (to get a category search only)
   (#) Scroll bar for template tree added and overflow hidden removed (Issue #867)
   (#) Overflow hidden removed for SigsiuTree (Issue #868)
   (#) Some XML attributes in administrator templates are being translated by default (Issue #865)
   (#) Joomla! icon font was overwritten in frontend (J!3 only)
   (#) Loading bootstrap in Joomla! 3.x if template hasn't (Issue #880)
   (#) Visits counter fixed (Issue #875)
   (#) Wrong path replacement for category chooser (Issue #873)


-------------------
1.1.0 Beta2 (15 April 2013)
-------------------

   (+) Joomla! version dependency to the repository data

   (#) Using method_exists on a string in admin view (Issue #841)
   (#) The request cache is overriding the global $_REQUEST (Issue #835)
   (#) XML cache file deletion of non-existent files (Issue #853)
   (#) Calling non existing SEF URL causes 500 internal server error (Issue #849)
   (#) Field aliases are not lowercase (Issue #855)
   (#) The SobiPro.Ready JavaScript method is not being called when format is set to 'html' (Issue #844)
   (#) "Parent Category selectable" does not work for SigsiuTree method (Issue #839)
   (#) Search function access level "No Access" for public (Issue #846)
   (#) SPHtml_Input::radioList does not accept '0' as label (Issue #858)

   (-) Image field not storing temporary data any longer while using ajax uploader
   (-) Automatic upload of files with file uploader


-------------------
1.1.0 Beta1 (30 March 2013)
-------------------

   (+) XML based template engine for administrator templates
   (+) Possibility to override administrator templates for particular sections
   (+) Definition file for Radio Button field
   (+) Field controller implements now a proxy pattern to the field type
   (+) Category Chooser Field with different category selection methods implemented
   (+) Possibility to define a primary category
   (+) Prohibition of assigning an entry to parent category added to new Category Chooser Field
   (+) Frontend Category Search to filter the search results by one or more categories
   (+) IP search query link added to category and entry publishing IP (admin interface)
   (+) Button to hide left menu in order to stretch the content screen (admin interface)
   (+) Field description shown in backend 'Edit Entry' as popover
   (+) 'Sort Entries by Field' reversible for frontend and backend sorting
   (+) Direct Entry Selection via Joomla! Menu Manager
   (+) Template override for specific categories and entries via Joomla! Menu Manager
   (+) Workaround to bypass Joomla! menu type bug
   (+) Possibility to define exact type of custom output including header content type, exit and clear
   (+) Possibility to limit XML raw data to a specific IP
   (+) Joomla! 3.0 compatibility (needs at least Joomla! 3.0.2)
   (+) Auto-suggest feature for search function
   (+) Excluding particular user groups for administrator templates override
   (+) Found issues and state of important settings on Control Panel
   (+) Second ordering for entries in search function
   (+) Possibility to delete (instead of unpublish) an entry from frontend
   (+) View and menu link for own entries
   (+) View for all entries of an specific user
   (+) View for all entries added within a particular date (year/month/or exact day)
   (+) View and menu link for entries added in a particular date period
   (+) Range search for inputbox with free defined value input
   (+) URL field - ability to count and display number of visits/clicks for the particular link
   (+) Category and Entry Alias for URL
   (+) Meta data for specific add entry and search view
   (+) Possibility to update/override a template package
   (+) Custom redirect for accessing add entry form without permission
   (+) Custom redirect for accessing entry details view without permission
   (+) Custom redirect after a new entry has been added
   (+) Possibility to define new permission to allow or disallow search function usage
   (+) Custom redirect for accessing search function without permission
   (+) XML cache view implemented; XML output is stored into a XML file and reused in next request if there were no changes
   (+) Possibility to disable pre-load of "en-GB" language files
   (+) Current page number of pagination to the browser title
   (+) Added full text indexes to fields' data and language table
   (+) Search priority to XML results
   (+) Possibility to define different template methods (see default template) to plug-in an action between (and whilst) submit and save entry actions
   (+) System checker added all status messages in en-GB
   (+) Section crawler - possibility to trigger complete cache creation
   (+) Simple translation method for sections, categories, entries and fields from administration panel

   (-) Vehicles template removed; will be a separate template now
   (-) SobiPro Admin Menu Module removed; sections available now on a menu list

   (!) Administrator UI redesigned using Bootstrap library and new XML templates
   (!) SPHeader::addMeta() takes now optional list of custom parameters as an array
   (!) SPLang::nid() uses JFilterOutput::stringURLSafe now
   (!) Category and entry Meta Robots parameter selection improved (admin interface)
   (!) Category and entry publishing information extended (admin interface)
   (!) Field description now allows HTML code
   (!) Default settings while creating a new section changed
   (!) CodeMirror upgraded to version 2.36
   (!) jQuery upgraded to version 1.8.2
   (!) jQuery UI updated to version v1.9.2
   (!) Category selector for default Business Directory changed to Category Field
   (!) No fix MyISAM database type on installation
   (!) Sendmail account information removed from system check file
   (!) Category meta description does not longer ends with a dot
   (!) No default filter for fields title, contact and city in demo data
   (!) CSS and Javascript cache now separate settings
   (!) single .htaccess files removed, global file added
   (!) Default Template now using Bootstrap; several improvements; new name
   (!) JavaScript translation method speed improvement
   (!) IMPORTANT!! The URL contains now the nid/alias instead of the title; that way the generated URL can be better controlled but it also changes all existing URLs
   (!) Alias/nid (beside fields) is now translatable
   (!) Counter of an object has been moved to a separate table due to performance issues (update statement deletes MySQL cache for a particular table)
   (!) 'Bank Transfer' app renamed to 'Offline Payment'

   (#) {entry.url} placeholder doesn't work (Issue #708)
   (#) Typo in text label in Entry Manager
   (#) getChilds() in model does not care about the child type
   (#) Meta author corrected to 'author'
   (#) Suffix not shown in backend
   (#) Approved state for category has no effect
   (#) Meta author and robots not added to header (Issue #734)
   (#) Options of select list or checkbox fields will be deleted now if the field is deleted
   (#) Duplication of a field more than once does not increment the alias counter
   (#) Missing id for inbox fields in search form
   (#) Non-closed string (url) in CSS cache while converting file path
   (#) Not possible to transform url paths in CSS cache if more than one url per line
   (#) Column count doesn't match value while installing a new payment App
   (#) Workaround for non-latin characters in alpha index for problems in strtoupper
   (#) Missing the section/category title in the page navigation URL
   (#) Wrong date used for createdTime while submitting new entry (GMT instead of server time)
   (#) Wrong date used for updatedTime while saving an entry (GMT instead of server time)
   (#) Wrong date used for validUntil while saving an entry from frontend (GMT instead of server time)
   (#) Session id passed to URL in case the cookie cannot be set for some reason (Time zone problems in Chrome) while adding/editing an entry
   (#) Select list returns no results when searching for "exact phase" (Issue #801)
   (#) Email field data invisible when Data Accelerator is enabled and data has been cached by a bot
   (#) Template installer: complex fields' options are incorrect while installing new section (e.g. selected views in SP-GeoMap field)
   (#) Cache not cleaned after an ACL rule has been saved
   (#) Empty values for range search passed to the search method (Issue #806)
   (#) Clean cache from outside of the SobiPro extension didn't worked
   (#) Removing entry_row from the cache failed
   (#) Bug #832 - NOT LIKE creates fatal error
   (#) Uncaught exception when CURL isn't installed in the administrator main panel


-------------------
1.0.8 (6 August 2012)
-------------------

   (!) Added "token" to placeholders in SPlang::replacePlaceHolders method
   (!) Changed method for discovering the right return point
   (!) SobiPro Repository Certificate data renewed

   (#) Plugged Apps wasn't able to trigger own actions. Caused for example that the payment method wasn't delivered to the notification App (Issue #598)
   (#) Missing entry data in entry.payment task (SPEntry::checkCopy method - entry.payment added to exceptions)
   (#) UTF-8 chars destroyed in PayPal App - SPPPaypal::content - htmlentities removed (Issue #637)
   (#) Entry AfterApprove trigger doubled SPEntry::save():637 (Issue #630)
   (#) Disabling links verification for alpha index crash SobiPro front-end (Issue #626)
   (#) Non static data missing in search results (Issue #627)
   (#) Missing section identifier in language values (method screen) in PayPal and Bank Transfer Apps (Issue #635)
   (#) Wrong SQL-query in alpha listing for unicode characters (Issue #638)
   (#) Error reporting didn't really worked .... and no one realised
   (#) URL in addObjToPathway method were passed through htmlentities. (Issue #692)
   (#) Place-holder {entry.url} does not contain the site URL when used from front-end (Issue #646)


-------------------
1.0.7 (28 April 2012)
-------------------

   (!) Updated jQuery to v1.7.2
   (!) Updated jQueryUi to 1.8.18

   (#) Missing section id in SPController::parseOrdering
   (#) Problems while adding entries with disabled cache (Issue #619)
   (#) Fixed several problems with strtolower and non-latin characters
   (#) Changes made by administrator are being overwritten while approving an entry from the administrator form (Issue #620)
   (#) Changes made by unauthorized users being auto-approved
   (#) Missing translatable text added (Issue #623)

-------------------
1.0.6 (28 March 2012)
-------------------

   (+) Possibility to force numeric ordering in the text fields
   (+) Alpha Index - support for multiple select list and checkbox group
   (+) Possibility to define tasks in config.ini to disable the content parser
   (+) Protocol for structural data in config keys; supported: "csv://", "json://", "serialized://"
   (+) Triggering state changes and approval while saving an entry
   (+) Possibility to force the parent category id for an entry in section view

   (!) Content parser disabled in entry.submit and entry.payment tasks; adjustable in config.ini (Issue #600)
   (!) Putting results of Sobi::GetUserState back to the request
   (!) dTree script now compressed
   (!) Added output encoding to all default templates
   (!) Deleting template package from template directory after installation
   (!) Approving all language versions while approving an entry - need to finish multilanguage mode first
   (!) template.xsd schema file updated

   (#) New subcategories not visible in list while using SobiPro Data Accelerator (Issue #581)
   (#) Alpha Index with select list doesn't work (Issue  #592)
   (#) Email and URL fields - prevent displaying empty labels
   (#) Fields data not approved while changing entry state from the edit entry form in administrator area (Issue #576)
   (#) Incomplete entries visible in list if an entry is not approved but user has permission to see unpublished entries (Issue #597)
   (#) CSS compression conflicts with files override - when compression is enabled always the main file is taken instead of the template version of the file
   (#) Site number missing in the canonical URL
   (#) PHP bug #47370 affects only version 5.2.9 and not previous; changed the workaround condition
   (#) Problem while installing apps on Windows machines; folders are not being created due to wrong path separator in explode
   (#) Fields which are set as non-editable, aren't saved during add entry process; after saving entry, field is empty.(Issue #610)
   (#) Wrong path separator in icons for categories on windows server (Issue #579)
   (#) File max size in image field has no effects (Issue #614)
   (#) Wrong initial parameters for entries and categories ordering in administrator area
   (#) Cannot enable editor buttons; Joomla! requires explicit a boolean value
   (#) Notice: Undefined property: stdClass::$publishDown/$publishUp in /lib/models/field.php on line 708
   (#) Alpha Index with non-latin characters on Windows servers returns empty urls (Issue #615)
   (#) Navigation does not work correctly in Alpha Index with alternative field
   (#) URL field "Validate URL" setting does not work

-------------------
1.0.5 (28 January 2012)
-------------------

   (+) Method "SFormatDate" to the template helper

   (!) SPFactory::db()->getQuery() to replace Joomla! db prefix
   (!) Recommended Joomla! version to 2.5

   (#) Fields options are missing in Template installer
   (#) Field fee is loosing the decimal place (Issue #588)
   (#) Not all xml specific tags are being removed from the HTML output
   (#) Re-ordering entries and categories with multiple pages doesn't work correctly (Issue #580)
   (#) Cache not deleted if re-ordering entries and categories in administrator area
   (#) Default language file (en-GB) for apps is not loaded
   (#) No field id for email and url fields in default edit/add entry templates

-------------------
1.0.4 (10 January 2012)
-------------------

   (+) Template installer: added support for additional multiple options

   (!) Switched off fields cache because not longer necessary
   (!) General Search method renamed to "via input field only"
   (!) Template JavaScript and CSS files are loaded at the end now - possible to override JavaScript functions and CSS classes in template files

   (#) Cache not deleted correctly (caused by fix of Issue #522)
   (#) Select lists and radio buttons aren't shown if paid fields and data accelerator on
   (#) Select lists and radio buttons aren't shown if auto-approval is off
   (#) Undefined index: adminField, editLimit while installing template with a section definition
   (#) Template JavaScript and CSS files override doesn't work if the JavaScript/CSS cache is enabled
   (#) Entry approval in administrator area - only one category is being approved and additionally each time one unapproved relation is being deleted
   (#) New, unapproved entries are not visible for users having the permissions to see unpublished entries
   (#) Ordering entries by a single select list - wrong tables join

-------------------
1.0.3 (28 December 2011)
-------------------

   (+) Performance improvements in administrator area
   (+) Support for language files in sub folder in Apps installation packages

   (!) Non-existing URL raises 404 return code now

   (#) SPPlugins::trigger - in the emergency break the current trigger counter wasn't decreased so after jump out - no action was triggered
   (#) Search order not through field priority (Issue #564)
   (#) Wrong parameter passed to the error message function in multi value fields - There is no option '%s' in field '%s'.
   (#) If category description contains a plugin code Joomla! throws error: 500 Unable to load renderer class
   (#) Double prefix in image field (Issue #556)
   (#) Wrong URL created for entries while in administrator area (Issue #554)
   (#) No error handling when problems with connection to repository
   (#) SPImage::resample destroys GIF images
   (#) Switching object cache while submitting or storing an object (Issue #522)
   (#) Counter is not being refreshed
   (#) Cleaning entities in fields output (Issue #568)
   (#) Error while removing Joomla! native extensions via SobiPro apps installer in Joomla! 1.6/7 (Issue #571)


-------------------
1.0.2 (2 December 2011)
-------------------

   (#) Entry name disappearing (Issue #558)

-------------------
1.0.1 (28 November 2011)
-------------------

   (+) Field alias in fields list
   (+) jQuery.noConflict - always after jquery has been included

   (!) Visibility of newly created fields set to "details" instead of "both"
   (!) Renaming Object Cache to 'SobiPro Data Accelerator'
   (!) Disabling cache if no SQLite support available
   (!) jQuery updated to version 1.6.4

   (#) Minor HTML bugs in several administrator templates
   (#) ACL rule 'access own unpublished' doesn't work for lists (Issue #521)
   (#) MySQL seems to store sometimes 0000-00-00 00:00:00 as 1970-01-01 00:00:00; cannot find the reason :(
   (#) Parse category description; "Global" always reverts to "No" (Issue #517)
   (#) Select List field: wrong data selected for un-approved entries (Issues #529 #522)
   (#) Edit item in relation to non-editable fields (Issue #532)
   (#) Fixed word_filter for search to include unicode characters (Issue #535)
   (#) Disabled categories visible in category chooser (Issue #539)
   (#) Undefined variable: cfile In file lib/base/header.php in line 147 (Issue #541)
   (#) Can't clear search inputbox (Issue #520)
   (#) Duplicate template: new id wasn't created
   (#) Problem with creating cache directory while FTP mode is enabled
   (#) SobiPro mailer doesn't work when Joomla! is set to use SMTP
   (#) Sorting entries by select list field (Issue #542)
   (#) Entries hits counter doesn't refresh dynamically with cache enabled (Issue #547)
   (#) Clean cache is executing SQLite query without checking if cache is enabled


-------------------
1.0 (28 September 2011)
-------------------

   (+) isOutputOnly and isInputOnly handling for fields
   (+) SPPlugins::registerHandler() method with Sobi::RegisterHandler() alias
   (+) Token - pass the post/get param
   (+) Possibility to override almost all config INI files. config_override.ini <=> config.ini
   (+) Possibility to override all administrator templates files. entry_override.php <=> entry.php

   (!) Var JavaScript files - including original name
   (!) Apps do not longer create language folders
   (!) No HTML filter for super admin
   (!) Inbox field - trimming data
   (!) Removed PHP short tags (Issue #512)

   (#) $noId parameter not passed to SPSectionView::cachedEntry()
   (#) Triggering a custom list task in entry view (VC) independent from current task (Bug #507)
   (#) SPRemote::_construct() - For some reason on certain PHP/CURL version it causes error if $url is null
   (#) Problem when field alias exist twice (in other section i.e.) while sorting by this field
   (#) If field is set to administrator field after an entry has been edited all data from this field are being deleted
   (#) get_defined_constants(true) causes white screen (no response error) under PHP 5.3 - seems to be a PHP bug
   (#) Image field - images aren't deleted while entry is being deleted
   (#) Un-approved entries (changes) not visible in search results
   (#) updates.xml not deleted after core update
   (#) SPHtml_Input::checkBoxGroup() and SPHtml_Input::select() - problem when selected value is 0
   (#) Inbox field in search - "select" label was overwritten with empty data
   (#) RSS feeds links in default templates
   (#) Edit entry button visible sometimes for unregistered users. (Issue #506)
   (#) Workaround for public users having SU permissions in Joomla! 1.6/1.7
   (#) Accordion menu in Control Panel not translated into other languages (Bug #510)

-------------------
1.0 RC5 (9 August 2011)
-------------------
   (!) Preventing numeric-only option ids in select list

   (#) Not possible to autopublish an entry
   (#) Problem with default language recognition in Joomla! 1.5
   (#) Multi lang mode for predefined data fields works now
   (#) Expired entries still visible when accessing the details view directly
   (#) Multiple select list - missing data when re-editing entry
   (#) Undefined variable: tid while installing new extension
   (#) Cache not cleaned after "un-approve" entry
   (#) DOMDocument::createElement() unterminated entity reference in /lib/types/array.php:134

-------------------
1.0 RC4 (1 August 2011)
-------------------
   (+) Codename
   (+) Warning when using default template
   (+) Exception for MS doc files in SPFileInfo
   (+) Extended template installer - possibility to add categories, requirements and additional settings
   (+) Div Container for default Details View Template and CSS style code
   (+) Warning if giving administrative permissions to an un-registered user
   (+) Env data to the system check
   (+) Real cURL checker
   (+) Default (current) XML-Schema definition to the package (for installations without outgoing Internet connection)
   (+) Token function passed to the template functions
   (+) Exec file in template installer
   (+) Possibility to override App's CSS files in the template package
   (+) Possibility to override App's JavaScript files in the template package
   (+) Own icon for the expired entries in administrator area
   (+) Second cache layer to hold data image
   (+) Title filter for entries in the "all entries" listing in administrator area
   (+) Mata data (keys, description) are translatable now
   (+) Canonical links to the site

   (!) Skipping unique field data exception if duplicating an entry
   (!) Highlighting non existing fields in the fields manager
   (!) New language handling; Multi-language mode switch added
   (!) Changed MT JavaScript to JQ in search.js within default templates
   (!) Cache: (Try) Workaround for Windows Servers; dropping tables instead of deleting db files
   (!) Removed cp checker in the administrator area
   (!) Changed MT JavaScript to JQ in alpha.js within default templates
   (!) Application loader doesn't throw a fatal error if doesn't exists
   (!) Default navigation template - changed behaviour while displaying many sites
   (!) Unification of XML fields output (CSS and data)
   (!) Newly created section shows default template in the SobiPro menu even if the configuration wasn't saved
   (!) Limiting number of displayed entries in admin area while exhausting memory
   (!) Usertype for un-registered users set to 'Visitor'
   (!) Moved object creation into the views - object can be destroyed in the loop and free the memory
   (!) Default Template: small CSS changes
   (!) Joomla! version detection
   (!) Small changes for Joomla! 1.7
   (!) Recommended Joomla! 1.6/1.7 version set to 1.7.0

   (#) Cache / SQLiteDatabase - checking for class_exists('SQLiteDatabase') instead of the function; causing GPL License violation
   (#) Multi-choice fields - loosing selected options if there were no changes for approval pending
   (#) Radio buttons of search phrases on wrong side
   (#) While initializing field type in admin area and the special administrator definition doesn't exist, field type is not being loaded (template fields creation i.e.)
   (#) Requirements checker - missing revision
   (#) "input-xml" added into SPTemplateXSLT::repairHtml() - changed in-line styles into CSS class
   (#) Missing field nid in the CSS class in inherited fields
   (#) Replacing & - to &amp; in SPHtml_Input::checkbox()
   (#) Currency separator in field edit function
   (#) Image field - not possible to change the width
   (#) Undefined index: installed - In File: lib/views/adm/extensions.php at line 83 Requested URI: extensions.manage
   (#) Unpublished field doesn't appear in alpha index additional fields list
   (#) Checkbox group and radio field - label on the wrong site
   (#) Section categories/entries counter fixed
   (#) Multi-language problems while accessing fields data
   (#) Wrong language in menu selection (sections names always in default language)
   (#) Not possible to save default language values in fields
   (#) parse_ini_file in the requirement checker fixed
   (#) No error message when not possible to create remote connection while adding new repository
   (#) Some errors are still logged even if the debug level is lower than the error type
   (#) Not possible to add full URL into the redirects
   (#) Deprecated CURLOPT_MUTE option removed
   (#) Wrong language label in ACL rule editor
   (#) Wrong URL for SobiProAdmUrl if Joomla! 1.6 installed in sub-directory
   (#) Alpha Listing: letter in page navigation URL is lower case now
   (#) Multiple db entries for mod_spmenu in Joomla! 1.6 after installation
   (#) The work-around for PHP 5.2.9 bug disturbs perms getter on PHP lower than 5.2.9
   (#) Skipping HTML editor initialization if working in raw mode (work-around for Joomla! 1.6 bug)
   (#) Fit Joomla! 1.6 user (author) selector
   (#) Alpha Listing - wrong url in the navigation while using optional field
   (#) (Dev) Not possible to get entry name while storing an entry for the first time (Bug #482)
   (#) Not possible to redirect to 'index.php'
   (#) Range search - not possible to search for float values
   (#) Missing field suffix while editing entry in administrator area
   (#) Wrong return point when performing administrative operation in administrator area in entries list
   (#) Error Message: Undefined variable: fileData in requirements checker
   (#) Resetting cache after update
   (#) JavaScript and CSS cache is not being reset after changes
   (#) Joomla! content plugin not triggered in details view - running in the plugins overload
   (#) Suffix shown for empty data in default template
   (#) No Label and Suffix shown for some fields (e.g. image)
   (#) Default option name in option groups of select lists
   (#) Multi-language mode - several labels aren't translated
   (#) URL/Email fields - quotes not cleaned in the field output
   (#) Wrong labels in the category children for name - getting field label instead sometimes
   (#) Not possible to overwrite the details view output (XML for example)
   (#) Field: Select List and Checkbox group - empty options are always selected
   (#) Labels of disabled fields are visible in the admin area while editing an entry
   (#) Field: Multiple Select List - options group is not sortable
   (#) Field: Image - cannot set to display original image. Typo orginal/original
   (#) Date in config class - formatting error. Passing timestamp through strtotime
   (#) Field Image: Typo in XSL attribute thumbail -> thumbnail
   (#) Missing usertype in XML output in Joomla! 1.6
   (#) No possibility to use Joomla! settings in the mailer class
   (#) Missing 'editLimit' in fields
   (#) Fields select and multi select list - width in the search form incorrect
   (#) Field "select" (and inherited) - no db table given in the approval method
   (#) Wrong node in the default template - seeking for section instead of category
   (#) In Joomla! 1.6/7 the registered user group id in sample data is was wrong
   (#) JavaScript/CSS compression - improved the regular expression to translate relative path to absolute
   (#) When unapproved data in a field fits better to the current language - these data were displayed
   (#) Fields multi select list and checkbox group - while editing an entry the real selected data (unapproved too)
   (#) Cache deletion was language depend
   (#) Removed &nbsp; from the payment settings in global configuration
   (#) Fields: multi-select list and checkbox group - several errors in the SQL-clause
   (#) Alpha listing controller is seeking for approved entries only
   (#) Wrong id (once 0 once the field id) while inserting language depend option of a field
   (#) Removed unused setting 'Select Label' from multiple select list settings
   (#) Cache - clean all function doesn't clear all files but only expired
   (#) Fields: multi-select list and checkbox group - several errors in the SQL-clause
   (#) Undefined index: msg in base/mainframe.php - string is also an array
   (#) Core updater seeking for type "extension" instead "component"
   (#) Exception handler - calling backtrace only if class already imported
   (#) Wrong labels for categories in details view - getting field label instead sometimes
   (#) Cannot break/continue 1 level in lib/ctrl/adm/sobipro.php
   (#) Field: Textarea missing params and option col - data in default language shifted in the db
   (#) Field: all fields with selectable options - labels are always overwritten in the current administrator language while editing field definition
   (#) SPTemplateXSLT::repairHtml does not return the repaired node
   (#) Wrong default language recognition
   (#) Administrator recognition for Joomla! 1.6/7 using core ACL now

   (*) Possibility to delete an entry without necessary permissions
   (*) ACL permission may not work depend on error reporting settings

   (-) Categories and entries counter in the front in administrator area - causes time-out on sites with many entries

-------------------
1.0 RC3 ( 16 May 2011 )
-------------------

   (+) Template file "Save As"
   (+) Obligatory constructor in SPTemplateXSLT class
   (+) Possibility to define XML translation file for template
   (+) Updater data in entry edit form in admin area
   (+) Template info shown in section template
   (+) jQuery-UI and autocomplete libraries
   (+) Search suggest method
   (+) Adjustment in header to use it from outside
   (+) Possibility to define templates language overrides file
   (+) Count method for templates
   (+) parse_ini_file to the requirements checker
   (+) JavaScript and CSS files acceleration
   (+) JavaScript compression
   (+) Factory method for entry model
   (+) URL is now included in the entry model

   (!) Catching attempts to access non-existent files
   (!) Setting tmpl to component while cleaning buffer and reseting Joomla response body
   (!) Default debug level to 2
   (!) Switching to jQuery case possible
   (!) Apps installer doesn't throw error if trying to re-install an App
   (!) Layout of News in Control Panel
   (!) Backend styles to fit Joomla! 1.5 and 1.6
   (!) Moved some texts to text file
   (!) Workaround to prevent Joomla! "prepare content" trigger in admin area
   (!) Added inclusion path clean method
   (!) Textarea field - nl2br if no HTML allowed
   (!) Excluding index.html files from templates editor
   (!) Help icon

   (#) New menu entry: Notice: Use of undefined constant SOBI_ADM_FOLDER in /lib/cms/joomla_common/base/mainframe.php on line 288
   (#) External initialisation function with section id sets the objects as an id
   (#) PHP Fatal error:  Call to undefined method SPCmsInstaller::error() in /lib/cms/joomla_common/base/installer.php on line 223
   (#) Regex replacer for the URL safe method doesn't work
   (#) Error while copying directories and path is terminated by dir separator
   (#) General template parser always enabled
   (#) Problems with Joomla! in subdirectory
   (#) Bug in default template while displaying one entry in a row
   (#) Joomla! 1.6 txt.js include script - escaping ampersands
   (#) General template parser enabled in edit entry form
   (#) Missing icon in category
   (#) Fixed path (double slash) in icon path
   (#) URL passed ordering worked for registered users only
   (#) Repository browser - missing return point
   (#) Not possible to delete repository
   (#) Field Manager - state change message not translated
   (#) Bug in app installer when subdirectories deep is larger than 2
   (#) Sobi::Init - missing const class (SPC) inclusion
   (#) Wrong labels in field type while editing special field type
   (#) Several fixes for MT 1.2.5
   (#) Alpha listing while searching for range and SEF is activated
   (#) Not possible to load css file from media directory in template
   (#) Catching non-existing fields for Alpha-Index
   (#) Some typos in language files
   (#) Class 'SPField_Inbox' not found in textarea.php - if textarea is the first field in a section
   (#) Backend SigsiuTree - translating URL to SEF
   (#) JavaScript form validator failed with tooltip (SobiPro.htmlEntities)
   (#) Alpha listing: navigation URL not conform
   (#) URL string replacer doesn't work for upper case non-ASCII characters
   (#) Wrong RSS-Feed ordering in default templates
   (#) *Task Apps always active within a section
   (#) Cannot write to file \tmp\edit\2011-04-27_05-04-00_::1\post.var on Windows (IPv6)
   (#) Wrong data passed to alpha listing controller for "alpha_field"
   (#) Missing entry title within URL in details view
   (#) Missing some images in Joomla! 1.6 - admin images are now in template
   (#) Typo and wrong label setting for checkbox and radio button fields
   (#) Select list - problem with HTML-entities in the value
   (#) CheckBox Group - all options pre-selected when returning to add entry function
   (#) Removed multiple id from fields output
   (#) Default templates - several JavaScript and CSS/XSl bugs in IE8/9
   (#) Special characters in meta keywords converted to htmlentities
   (#) Entry model doesn't work in autonomous mode - missing right section ID

   (*) db::update - value not escaped
   (*) SPRequest::cmd - wrong filter definition


-------------------
1.0 RC2 ( 1 April 2011 )
-------------------

   (+) Joomla! plugins and modules can be installed and un-installed in SobiPro Apps Manager - SobiPro tag required
   (+) Added SobiPro version in to the system check log file
   (+) Whole template output can be passed through the Joomla! content plugin
   (+) Possibility to backup files modified by an App
   (+) Possibility to install an Update-App
   (+) Possibility to revert files modified by an App

   (!) After an entry or category has been duplicated the copy state is set to "disabled"
   (!) Escaping dot (.) in the search function while using regex
   (!) Changed Joomla! recommended version to 1.5.22 / 1.6.1

   (#) Class 'SPLang' not found in lib/models/field.php ( Added in rev 1069 after RC2 release )
   (#) SigsiuTree - selected category not highlighted in Chrome
   (#) Bug #444 (UTF-8 encoding) Using a field as meta-data
   (#) Bug #442 UNAUTHORIZED_ACCESS while accessing admin panel / PHP 5.2.9 Issue
   (#) Bug #364 Field Type = email does not display in Joomla! front-end
   (#) JavaScript messages are not being translated
   (#) SqueezeBox (Filter editor) in Joomla! 1.6 doesn't work
   (#) JavaScript errors (wrong live url) when installed in a sub-directory
   (#) Bug #454 Javascript message problem if Joomla! 1.6 installed in sub directory
   (#) Admin module: JavaScript error if section name contains single quote
   (#) Not possible to add a repository in Joomla! 1.6
   (#) Cars & Vehicles payment template shows HTML code
   (#) Not possible to save input filter
   (#) Missing argument 2 for SPSectionCtrl::userPermissionsQuery(), called in /components/com_sobipro/lib/ctrl/search.php
   (#) ACL - "Edit Any" permission doesn't work
   (#) Temporary JavaScript file for the edit entry function - wrong params for the file name
   (#) Wrong root URL when Joomla! is installed in sub-directory
   (#) Templates config merge doesn't work
   (#) Bug in the default templates when displaying more entries in one row
   (#) Update Installer for Joomla! 1.6
   (#) Possibility to overwrite the section data - an entry has been saved as a section
   (#) Entry payment screen not shown with SEF URL
   (#) JavaScript translation method in the admin area doesn't work
   (#) ACL - "Skip Payment" permission doesn't work
   (#) Checked out icon doesn't show in Joomla! 1.6
   (#) Bug #380: templates - extended search container is partially hidden
   (#) Cancel button while cloning a template doesn't work
   (#) Several bugs in the application installer
   (#) Field un-installer doesn't remove the field type
   (#) JavaScript frontend file loaded in backend when using language other than en-GB
   (#) Error reporting and debug level wasn't restored correctly
   (#) Deleting repository without choosing a repo to delete removes all repositories
   (#) Wrong URL to the Joomla! user edit function on Joomla! 1.5
   (#) Error log navigation doesn't work right
   (#) Frontend language file for Apps not loaded in the admin area
